%global momorel 1
%global date 20081101

Summary: GUI for synchronization with OpenSync
Name: multisync-gui
Version: 0.36
Release: 0.%{date}.%{momorel}m%{?dist}
Epoch: 1
License: GPLv2
URL: http://www.opensync.org/
Group: Applications/Productivity
Source0: %{name}-%{date}.tar.bz2
Patch0: %{name}-%{date}-desktop.patch
Patch1: %{name}-%{date}-install-dir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: libopensync
BuildRequires: cmake >= 2.6.2
BuildRequires: desktop-file-utils
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: libglade2-devel
BuildRequires: libgnomeui-devel
BuildRequires: libopensync-devel >= 0.38
BuildRequires: libxml2-devel
BuildRequires: pkgconfig
BuildRequires: python

%description
Graphical version of MultiSync for the libopensync package. To allow
synchronization on machines which use a X server. It relies on the
OpenSync framework to do the actual synchronization. You need to
install the libopensync package and the plugins for it, too. This
package is independent from the various multisync-* packages which will
be obsoleted once OpenSync has left the beta phase.

%prep
%setup -q -n %{name}-%{date}

%patch0 -p1 -b .desktop~
%patch1 -p1 -b .install-dir.patch

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
	-DCMAKE_SKIP_RPATH=YES ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-category Application \
  --remove-category X-Red-Hat-Base \
  %{buildroot}%{_datadir}/applications/multisyncgui.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/multisyncgui
%{_datadir}/applications/multisyncgui.desktop
%{_datadir}/multisync-gui
%{_datadir}/pixmaps/multisync-gui

%changelog
* Sat Nov  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.36-0.20081101.1m)
- back to the trunk
- fix up DESTINATION directories
- fix multisyncgui.desktop

* Sun Jun 24 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.91.0-2m)
- disable ~/.wafcache

* Mon Jun 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.91.0-1m)
- initial package for libopensync
- Summary and %%description are imported from opensuse
